<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class CheckPointTime extends Model
{
    use SoftDeletes;
    protected $fillable = [
        'plant_id',
        'check_point1_id',
        'check_point2_id',
        'sequence_number',
        'time_lapse',
        'time_lapse_cushioning',
        'min_cushioning',
        'max_cushioning',
        'created_by',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function checkPointNames(): BelongsTo
    {
        //return $this->belongsTo(CheckPointName::class);
        return $this->belongsTo(CheckPointName::class);
    }

    public function checkPointNames1(): BelongsTo
    {
        //return $this->belongsTo(CheckPointName::class);
        return $this->belongsTo(CheckPointName::class, 'check_point1_id');
    }

    public function checkPointNames2(): BelongsTo
    {
        //return $this->belongsTo(CheckPointName::class);
        return $this->belongsTo(CheckPointName::class, 'check_point2_id');
    }
}
